[postgis-tickets] [SCM] PostGIS branch master updated. 3.1.0alpha1-62-gc83c3df

git at osgeo.org git at osgeo.org
Mon Apr 20 10:56:20 PDT 2020


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  c83c3dfdc123b9ca42d6ba3d520ca086c241966a (commit)
       via  560b5056f96b93e1e738645984ec6b93aeffb23c (commit)
       via  6684637a58a7bf825f3da423d6795421bc54e400 (commit)
       via  5bd8d8aebadd7ba4436d0e6d9710c5452c2ab9d6 (commit)
       via  88a548cfcf1ef22c68f5e99942cf89d1c9318664 (commit)
       via  8ae06ea8248c0807e8eb615d1cff890fe80a8b70 (commit)
      from  ad430960a3445e2f8caad649a2f05eb0995e8797 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit c83c3dfdc123b9ca42d6ba3d520ca086c241966a
Merge: ad43096 560b505
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Apr 20 10:56:18 2020 -0700

    Merge branch 'dronie-alpine-edge' of robe/postgis into master


commit 560b5056f96b93e1e738645984ec6b93aeffb23c
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Apr 20 11:47:21 2020 -0400

    Get rid of extra start

diff --git a/ci/dronie/postgis_regress_alpine.sh b/ci/dronie/postgis_regress_alpine.sh
index afa9f4c..9e75823 100644
--- a/ci/dronie/postgis_regress_alpine.sh
+++ b/ci/dronie/postgis_regress_alpine.sh
@@ -3,7 +3,7 @@
 # Exit on first error
 set -e
 
-su - postgres -c "export PGDATA=/var/lib/postgresql/data && pg_ctl start -l /var/lib/postgresql/data/pg.log start"
+su - postgres -c "export PGDATA=/var/lib/postgresql/data && pg_ctl -l /var/lib/postgresql/data/pg.log start"
 #export PGPORT=`grep ^port /var/lib/postgresql/postgresql.conf | awk '{print $3}'`
 export PGPORT=5432
 psql --version

commit 6684637a58a7bf825f3da423d6795421bc54e400
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Apr 20 11:44:01 2020 -0400

    Add line to output to pg noise to log file

diff --git a/ci/dronie/postgis_regress_alpine.sh b/ci/dronie/postgis_regress_alpine.sh
index b277d42..afa9f4c 100644
--- a/ci/dronie/postgis_regress_alpine.sh
+++ b/ci/dronie/postgis_regress_alpine.sh
@@ -3,7 +3,7 @@
 # Exit on first error
 set -e
 
-su - postgres -c "export PGDATA=/var/lib/postgresql/data && pg_ctl start"
+su - postgres -c "export PGDATA=/var/lib/postgresql/data && pg_ctl start -l /var/lib/postgresql/data/pg.log start"
 #export PGPORT=`grep ^port /var/lib/postgresql/postgresql.conf | awk '{print $3}'`
 export PGPORT=5432
 psql --version

commit 5bd8d8aebadd7ba4436d0e6d9710c5452c2ab9d6
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Apr 20 03:36:41 2020 -0400

    Get rid of path overwrite see if fixes aclocal error

diff --git a/ci/dronie/postgis_regress_alpine.sh b/ci/dronie/postgis_regress_alpine.sh
index 3ddc055..b277d42 100644
--- a/ci/dronie/postgis_regress_alpine.sh
+++ b/ci/dronie/postgis_regress_alpine.sh
@@ -6,7 +6,6 @@ set -e
 su - postgres -c "export PGDATA=/var/lib/postgresql/data && pg_ctl start"
 #export PGPORT=`grep ^port /var/lib/postgresql/postgresql.conf | awk '{print $3}'`
 export PGPORT=5432
-export PATH=/usr/bin:$PATH
 psql --version
 ./autogen.sh
 ./configure CFLAGS="-O2 -Wall -fno-omit-frame-pointer -Werror" --without-interrupt-tests

commit 88a548cfcf1ef22c68f5e99942cf89d1c9318664
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Apr 20 03:26:11 2020 -0400

    Add some space

diff --git a/.drone-1.0.yml b/.drone-1.0.yml
index c7cab9f..7ba51fa 100644
--- a/.drone-1.0.yml
+++ b/.drone-1.0.yml
@@ -19,6 +19,7 @@ steps:
     pull: always
     commands:
       - PGVER=12 sh ci/dronie/postgis_regress_alpine.sh
+
   - name: build-9.6
     image: *test-image
     pull: always

commit 8ae06ea8248c0807e8eb615d1cff890fe80a8b70
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Apr 20 03:21:28 2020 -0400

    Add alpine-edge to mix

diff --git a/.drone-1.0.yml b/.drone-1.0.yml
index fd5a074..c7cab9f 100644
--- a/.drone-1.0.yml
+++ b/.drone-1.0.yml
@@ -14,6 +14,11 @@ kind: pipeline
 name: build
 clone: *clone
 steps:
+  - name: build-12
+    image: docker.osgeo.org/postgis/build-test:alpine-edge
+    pull: always
+    commands:
+      - PGVER=12 sh ci/dronie/postgis_regress_alpine.sh
   - name: build-9.6
     image: *test-image
     pull: always
diff --git a/ci/dronie/postgis_regress_alpine.sh b/ci/dronie/postgis_regress_alpine.sh
new file mode 100644
index 0000000..3ddc055
--- /dev/null
+++ b/ci/dronie/postgis_regress_alpine.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Exit on first error
+set -e
+
+su - postgres -c "export PGDATA=/var/lib/postgresql/data && pg_ctl start"
+#export PGPORT=`grep ^port /var/lib/postgresql/postgresql.conf | awk '{print $3}'`
+export PGPORT=5432
+export PATH=/usr/bin:$PATH
+psql --version
+./autogen.sh
+./configure CFLAGS="-O2 -Wall -fno-omit-frame-pointer -Werror" --without-interrupt-tests
+make clean
+make -j
+# we should maybe wait for postgresql service to startup here...
+psql -c "select version()" template1
+RUNTESTFLAGS=-v make check
+make install
+RUNTESTFLAGS=-v make installcheck
+utils/check_all_upgrades.sh -s \
+  `grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`

-----------------------------------------------------------------------

Summary of changes:
 .drone-1.0.yml                                              | 6 ++++++
 ci/dronie/{postgis_regress.sh => postgis_regress_alpine.sh} | 6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)
 copy ci/dronie/{postgis_regress.sh => postgis_regress_alpine.sh} (68%)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list